> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Exchange Data by ID

> To query the derivatives exchange's related data (name, open interest, trade volume, ...) based on the exchange's ID

export const CacheInfo = ({publicRate, paidRate, rate}) => {
  const fmt = v => v === 0 ? 'Real-time (Cacheless)' : `Every ${v}`;
  if (rate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><br />{fmt(rate)}
      </Callout>;
  }
  if (publicRate !== undefined && paidRate !== undefined) {
    return <Callout icon="clock-rotate-left" color="#2196F3" iconType="regular">
        <strong>Cache / Update Frequency:</strong><ul><li>{fmt(paidRate)} (Paid API)</li><li>{fmt(publicRate)} (Demo / Keyless API)</li></ul>
      </Callout>;
  }
  return null;
};

<Tip>
  Use `include_tickers=all` to include all tickers, `unexpired` for unexpired tickers only, or leave blank to omit tickers.
</Tip>

<CacheInfo rate="30 seconds" />

#### SDK Examples

<CodeGroup>
  ```typescript TypeScript theme={null}
  const response = await client.derivatives.exchanges.getID('binance_futures');

  console.log(JSON.stringify(response, null, 2));
  ```

  ```python Python theme={null}
  response = client.derivatives.exchanges.get_id("binance_futures")

  print(response.model_dump_json(indent=2))
  ```
</CodeGroup>


## OpenAPI

````yaml openapi-specs/demo-api.json get /derivatives/exchanges/{id}
openapi: 3.0.0
info:
  title: CoinGecko Demo API
  version: 3.0.0
servers:
  - url: https://api.coingecko.com/api/v3
security:
  - headerAuth: []
  - queryAuth: []
paths:
  /derivatives/exchanges/{id}:
    get:
      summary: Derivatives Exchange Data by ID
      description: >-
        To query the derivatives exchange's related data (name, open interest,
        trade volume, ...) based on the exchange's ID
      operationId: derivatives-exchanges-id
      parameters:
        - name: id
          in: path
          required: true
          description: >-
            Derivative exchange ID. 

            *refers to
            [`/derivatives/exchanges/list`](/reference/derivatives-exchanges-list).
          schema:
            type: string
            default: binance_futures
        - name: include_tickers
          in: query
          required: false
          description: |-
            Include tickers data. 
            Default: tickers data is not included.
          schema:
            type: string
            enum:
              - all
              - unexpired
      responses:
        '200':
          description: Derivative exchange data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesExchangesID'
              example:
                name: Binance (Futures)
                open_interest_btc: 331945.73
                trade_volume_24h_btc: '587332.45'
                number_of_perpetual_pairs: 592
                number_of_futures_pairs: 72
                image: >-
                  https://coin-images.coingecko.com/markets/images/466/small/binance_futures.jpg?1706864452
                year_established: 2019
                country: Cayman Islands
                description: ''
                url: https://www.binance.com/
                tickers:
                  - symbol: 0GUSDT
                    base: 0G
                    target: USDT
                    coin_id: zero-gravity
                    target_coin_id: tether
                    trade_url: https://www.binance.com/en/futures/0GUSDT
                    contract_type: perpetual
                    last: 0.473
                    h24_percentage_change: -1.149
                    index: 0.47388788
                    index_basis_percentage: -0.066
                    bid_ask_spread: 0.0004225649693639931
                    funding_rate: 0.005
                    open_interest_usd: 7505441.41551142
                    h24_volume: 6822128
                    converted_volume:
                      btc: >-
                        42.0799463192663717990920674226785386061670893822933102624
                      eth: >-
                        1536.67707296907453613610493674728740267430011541374571065838147892993088
                      usd: '3222911.4917378246159226528'
                    converted_last:
                      btc: >-
                        0.0000061681554962419895667586517612508206539318947668958
                      eth: >-
                        0.00022524893595797008442763092934452232539088978034621245902427827196
                      usd: '0.4724202612055687926'
                    last_traded: 1779809107
                    expired_at: null
                  - symbol: 1000000BOBUSDT
                    base: 1000000BOB
                    target: USDT
                    coin_id: build-on-bnb
                    target_coin_id: tether
                    trade_url: https://www.binance.com/en/futures/1000000BOBUSDT
                    contract_type: perpetual
                    last: 0.015
                    h24_percentage_change: -3.331
                    index: 0.01540057
                    index_basis_percentage: 0.134
                    bid_ask_spread: 0.001298701298701358
                    funding_rate: 0.005
                    open_interest_usd: 916291.34908113
                    h24_volume: 44830706
                    converted_volume:
                      btc: >-
                        8.975935927077560026865126277039614163512381271518795395788
                      eth: >-
                        327.26598326618858627284207444108921232850344104115627132937452733698970504
                      usd: '688649.790093212658495595932'
                    converted_last:
                      btc: >-
                        0.000000200218482552506757909748873395828612726116364786198
                      eth: >-
                        0.00000730004080832875097422829063724959433671429223178319501212794925284
                      usd: '0.015361118562201823422'
                    last_traded: 1779808948
                    expired_at: null
components:
  schemas:
    DerivativesExchangesID:
      type: object
      required:
        - name
        - open_interest_btc
        - trade_volume_24h_btc
        - number_of_perpetual_pairs
        - number_of_futures_pairs
        - image
        - year_established
        - country
        - description
        - url
      properties:
        name:
          type: string
          description: Derivatives exchange name
        open_interest_btc:
          type: number
          nullable: true
          description: Derivatives exchange open interest in BTC
        trade_volume_24h_btc:
          type: string
          description: Derivatives exchange trade volume in BTC in 24 hours
        number_of_perpetual_pairs:
          type: integer
          description: Number of perpetual pairs in the derivatives exchange
        number_of_futures_pairs:
          type: integer
          description: Number of futures pairs in the derivatives exchange
        image:
          type: string
          description: Derivatives exchange image URL
        year_established:
          type: integer
          nullable: true
          description: Derivatives exchange established year
        country:
          type: string
          nullable: true
          description: Derivatives exchange incorporated country
        description:
          type: string
          description: Derivatives exchange description
        url:
          type: string
          description: Derivatives exchange website URL
        tickers:
          type: array
          description: Derivative tickers data, available when include_tickers is specified
          items:
            type: object
            required:
              - symbol
              - base
              - target
              - coin_id
              - target_coin_id
              - trade_url
              - contract_type
              - last
              - h24_percentage_change
              - index
              - index_basis_percentage
              - bid_ask_spread
              - funding_rate
              - open_interest_usd
              - h24_volume
              - converted_volume
              - converted_last
              - last_traded
              - expired_at
            properties:
              symbol:
                type: string
                description: Derivative ticker symbol
              base:
                type: string
                description: Derivative base asset
              target:
                type: string
                description: Derivative target asset
              coin_id:
                type: string
                description: Derivative base asset coin ID
              target_coin_id:
                type: string
                description: Derivative target asset coin ID
              trade_url:
                type: string
                description: Derivative trade URL
              contract_type:
                type: string
                description: Derivative contract type
              last:
                type: number
                description: Derivative last price
              h24_percentage_change:
                type: number
                description: Derivative price percentage change in 24 hours
              index:
                type: number
                description: Derivative underlying asset price
              index_basis_percentage:
                type: number
                description: Difference of derivative price and index price in percentage
              bid_ask_spread:
                type: number
                description: Derivative bid-ask spread
              funding_rate:
                type: number
                description: Derivative funding rate
              open_interest_usd:
                type: number
                description: Derivative open interest in USD
              h24_volume:
                type: number
                description: Derivative volume in 24 hours
              converted_volume:
                type: object
                description: Derivative converted volume
                properties:
                  btc:
                    type: string
                  eth:
                    type: string
                  usd:
                    type: string
              converted_last:
                type: object
                description: Derivative converted last price
                properties:
                  btc:
                    type: string
                  eth:
                    type: string
                  usd:
                    type: string
              last_traded:
                type: number
                description: Derivative last traded time in UNIX timestamp
              expired_at:
                type: number
                nullable: true
                description: Derivative expiry time in UNIX timestamp
  securitySchemes:
    headerAuth:
      type: apiKey
      in: header
      name: x-cg-demo-api-key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)
    queryAuth:
      type: apiKey
      in: query
      name: x_cg_demo_api_key
      description: >-
        Learn how to [set up your API
        key](https://docs.coingecko.com/docs/setting-up-your-api-key)

````